For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedConnectorsAPI reference
Get startedConnectorsAPI reference
  • Agent Handler
      • GETList Tool Packs
      • POSTCreate Tool Pack
      • GETGet Tool Pack
      • DELDelete Tool Pack
      • PATCHUpdate Tool Pack
      • GETList connectors in a Tool Pack
      • PUTUpdate connectors in a Tool Pack
      • PATCHUpdate connectors in a Tool Pack (partial)
      • DELRemove a connector from a Tool Pack

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Agent HandlerTool Packs

Create Tool Pack

POST
https://ah-api.merge.dev/api/v1/tool-packs/
POST
/api/v1/tool-packs/
$curl -X POST https://ah-api.merge.dev/api/v1/tool-packs/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Support Agent Tool Pack",
> "description": "Ticketing connectors for support agent",
> "connectors": [
> {
> "slug": "linear",
> "auth_scope": "INDIVIDUAL",
> "tool_names": [
> "create_issue",
> "list_issues"
> ]
> }
> ]
>}'
201Created
1{
2 "id": "string",
3 "name": "string",
4 "description": "string",
5 "connectors": [
6 {
7 "slug": "string",
8 "name": "string",
9 "source_url": "string",
10 "logo_url": "string",
11 "categories": [
12 null
13 ],
14 "auth_scope": "INDIVIDUAL",
15 "tools": [
16 {
17 "name": "string",
18 "description": "string",
19 "credit_type": "string"
20 }
21 ],
22 "connector_id": "string"
23 }
24 ]
25}
Creates a Tool Pack with connectors
Was this page helpful?
Previous

List Tool Packs

Next

Get Tool Pack

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Request

This endpoint expects an object.
namestringRequired<=255 characters
descriptionstringRequired
connectorslist of objectsOptional

Full-replace list of connectors. Any connector not in this array is detached from the tool pack. For incremental add/remove, use the /tool-packs/{id}/connectors/ sub-resource endpoints.

Response

idstringRead-onlyformat: "uuid"
ID of the Tool Pack
namestring<=255 characters
Name of the Tool Pack
descriptionstring
Description of the Tool Pack
connectorslist of objectsRead-only
Connectors enabled with the Tool Pack